## cdemu-client-3.3.0.tar.xz

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
# NOTE: project name must be left at "cdemu" (as opposed to being changed
# to more appropriate "cdemu-client"), because several things depend on
# it (e.g., translation names).
project(cdemu VERSION 3.3.0 LANGUAGES NONE)

# Additional CMake modules
list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

# CMake modules
include(GNUInstallDirs)

# Options
option(POST_INSTALL_HOOKS "Run post-install hooks" ON)
option(ENABLE_BASH_COMPLETION "Install bash completion" ON)

# Dependencies
find_package(IntlTool 0.21 REQUIRED)
find_package(Gettext 0.15 REQUIRED)
find_package(PkgConfig REQUIRED)

if(POST_INSTALL_HOOKS)
    find_program(UPDATE_DESKTOP_DATABASE_EXECUTABLE NAMES update-desktop-database)
    mark_as_advanced(UPDATE_DESKTOP_DATABASE_EXECUTABLE)
endif()

# Installation
install(PROGRAMS src/cdemu DESTINATION ${CMAKE_INSTALL_BINDIR})

install(FILES man/cdemu.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
install(FILES data/cdemu-client.svg DESTINATION ${CMAKE_INSTALL_DATADIR}/pixmaps)

intltool_merge("-d" ${PROJECT_SOURCE_DIR}/po ${PROJECT_SOURCE_DIR}/data/cdemu-client.desktop.in cdemu-client.desktop)
install(FILES ${PROJECT_BINARY_DIR}/cdemu-client.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)

if(POST_INSTALL_HOOKS)
    install(CODE "execute_process (COMMAND ${UPDATE_DESKTOP_DATABASE_EXECUTABLE} ${CMAKE_INSTALL_FULL_DATADIR}/applications)")
endif()

# Bash-completion (optional)
if(ENABLE_BASH_COMPLETION)
    pkg_check_modules(BASH_COMPLETION bash-completion)
    if(BASH_COMPLETION_FOUND)
        pkg_get_variable(BASH_COMPLETIONSDIR bash-completion completionsdir)

        install(
            FILES data/cdemu-bash-completion.sh
            DESTINATION ${BASH_COMPLETIONSDIR}
            # the completion filename must match executable name for autoloading
            # to work (bash-completion 2.0)
            RENAME cdemu
        )
    endif()
endif()

# Translations; we use the version provided by our FindIntlTool.cmake
# instead of the gettext version... Note: first two arguments are mandatory,
# the rest is an optional list of languages to process. If no languages
# are given, all POs are processed.
intltool_process_po_files(${PROJECT_SOURCE_DIR}/po ${PROJECT_NAME})

# *** Configuration summary ***
message(STATUS "")
message(STATUS "*** CDEmu client configuration summary ***")
message(STATUS "Installation:")
message(STATUS " install prefix: " ${CMAKE_INSTALL_PREFIX})
if(ENABLE_BASH_COMPLETION AND BASH_COMPLETION_FOUND)
    message(STATUS " bash completions path: " ${BASH_COMPLETIONSDIR})
endif()
message(STATUS "Options:")
message(STATUS " enable bash completion: " ${ENABLE_BASH_COMPLETION})
message(STATUS " run post-install hooks: " ${POST_INSTALL_HOOKS})
message(STATUS "")

=== debian/changelog ===
cdemu-client (3.3.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matteo Bini <matteobin@tiepi.it>  Mon, 09 Feb 2026 17:00:00 +0100

cdemu-client (3.2.5-2) unstable; urgency=medium

  * debian/appstream/net.sf.cdemu.client.metainfo.xml:
    - Add developer.
  * debian/control:
    - Bump Standards-Version to 4.7.0.

 -- Matteo Bini <matteobin@tiepi.it>  Sat, 25 May 2024 12:27:09 +0200

cdemu-client (3.2.5-1) unstable; urgency=low

  * Initial release, closes: #983452.

 -- Matteo Bini <matteobin@tiepi.it>  Thu, 21 Mar 2024 17:59:10 +0100

=== debian/control ===
Source: cdemu-client
Section: utils
Priority: optional
Homepage: https://cdemu.sourceforge.io/
Maintainer: Matteo Bini <matteobin@tiepi.it>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: bash-completion,
                     cmake (>= 3.16.0),
                     dh-python,
                     intltool,
                     pkgconf,
                     python3 (>= 3.8.0)
Standards-Version: 4.7.0
Rules-Requires-Root: no


Package: cdemu-client
Architecture: all
Depends: python3 (>= 3.8.0), python3-gi (>= 3.0.0), gir1.2-glib-2.0, cdemu-daemon (>= 3.0.0), ${python3:Depends}, ${misc:Depends}
Recommends: bash-completion, gcdemu (>= 3.0.0)
Description: Command-line client to control CDEmu daemon
 This is cdemu-client, a command-line client for controlling the
 CDEmu daemon. It is part of the CDEmu suite, a free, GPL CD/DVD-ROM device
 emulator for Linux.
 .
 It provides a way to perform the key tasks related to controlling the CDEmu
 daemon, such as loading and unloading devices, displaying devices' status and
 retrieving/setting devices' debug masks.
